/*
 * settings.h
 *
 *  Created on: Apr 23, 2025
 *      Author: andre
 */

#ifndef INC_SETTINGS_H_
#define INC_SETTINGS_H_

#define FLASH_SETTINGS_START_ADDR	0x8007800 // 32 KB Memory
#define SETTINGS_WORDS 				5

/*
typedef struct
{
	uint16_t start_ch1;
	uint16_t start_ch2;
	uint16_t start_ch3;
	uint16_t start_ch4;
	uint16_t start_ch5;

	uint16_t fail_ch1;
	uint16_t fail_ch2;
	uint16_t fail_ch3;
	uint16_t fail_ch4;
	uint16_t fail_ch5;

} SettingsStruct;
*/

typedef struct
{
	uint16_t start[5];
	uint16_t fail[5];

} SettingsStruct;

void SettingsInit(void);
void SettinsDefault(void);
void SettingsSave(void);
void SettingsLoad(void);
void SettingsReset(void);

#endif /* INC_SETTINGS_H_ */
